
public class CVLLASPLTInput {
	// test-project base path
	final static String wDir = "";
	// path to CVL model
	final static String cvlInputModelName = wDir + "model/SafetyModule.cvl";
	// intermediate GUIDSL model
	final static String gdslFileName = wDir + "model/SafetyModule.cvl.m";
	// coverage strength for testing
	final static int t = 2;
	// covering array file
	final static String caOutputName = wDir + "model/SafetyModule.cvl.m.ca"+t+".csv";
	// intermediate CVL file with covering array as resolution model
	final static String cvlOutputFileName = wDir + "model/SafetyModule.ca"+t+".cvl";
	// product line base model
	final static String productModelName = "model/product.uml";
	// temporary Eclipse workspace for intermediate work
	final static String wsTmp = wDir + "workspace-temp";
	// Path to SPLCA Tool v0.3 (SPLC 2012)
	final static String splCATool = wDir + "lib/SPLCATool-v0.3-SPLC2012.jar";
	// Path to 32-bit Java runtime 1.6
	final static String java32 = "\"C:/Program Files (x86)/Java/jdk1.6.0_23/bin/java\"";
	// Path to 32-bit Eclipse 3.7.0
	final static String eclipsec32 = wDir + "lib/eclipse32/eclipsec.exe";
	// Path to headless CVL
	final static String cvlHeadless = wDir + "lib/eclipse-cvl-headless/plugins/org.eclipse.equinox.launcher_*.jar";
	// Path to headless JavaFrame
	final static String jfHeadless = wDir + "lib/eclipse-jf-headless/plugins/org.eclipse.equinox.launcher_*.jar";
	// Java Frame Work Space directory
	final static String ws = wDir + "JFWS";
	// UML product models
	final static String product = wDir + "model/product?.uml";
	// Folder for executable target product
	final static String targetProject = "Product";
	// Model for target product
	final static String target = ws + "/"+targetProject+"/product.uml";
	// Package of product under test
	final static String testPackage = "SafetyDrive";
	// Class path for test executions
	final static String testClassPath = "junit-4.10.jar;bin;no.uio.ifi.javaframetransformation_3.0.3.jar;no.uio.ifi.uml.transformation_3.0.0.jar;../JavaJars/JFDebug.jar";

}
