package se.ericsson.eto.norarc.javaframe.debug;
import java.util.HashMap;
import java.util.Map;

public class QualifiedNames {
	private Map<String, String> umlNames;
	private Map<String, String> javaNames;
	public QualifiedNames() {
		umlNames = new HashMap<String, String>();
		javaNames = new HashMap<String, String>();
	}
	public void put(Class cls, String qualifiedName) {
		
		String cName = cls.getName();
		System.out.println("adding " + cName + " -> " + qualifiedName);
		umlNames.put(cName, qualifiedName);
		javaNames.put(qualifiedName,cName);
	}
	public String getUmlName(Class cls) {
		System.out.println("getting " + cls.getName() + " -> " + umlNames.get(cls.getName()));
		return umlNames.get(cls.getName());
	}
	public String getJavaName(String qualifiedName) {
		return javaNames.get(qualifiedName);
	}
	
}
