package se.ericsson.eto.norarc.javaframe.debug;

import se.ericsson.eto.norarc.javaframe.StateMachine;
import java.lang.reflect.*;
import java.io.*;

public class EditObject {
	
	private static boolean initialized = false;
	private static PipedInputStream inPipe;
	private static PipedOutputStream outPipe;
	private static ObjectInputStream in;
	private static ObjectOutputStream out;
	
	
	public static void init() throws IOException {
		if (initialized) return;

		initialized = true;
	}
	
	public static void setField (Object o, String fieldName, Object value)
	throws NoSuchFieldException, IllegalAccessException {
		
		Field f = o.getClass().getDeclaredField(fieldName);
		if (f.isAccessible()) f.set(o, value);
		else {
			f.setAccessible(true);
			f.set(o, value);
			f.setAccessible(false);
		}
	}
	
	public static Object getField (Object o, String fieldName)
	throws NoSuchFieldException, IllegalAccessException {
		Object value = null;
		Field f = o.getClass().getDeclaredField(fieldName);
		if (f.isAccessible()) value = f.get(o);
		else {
			f.setAccessible(true);
			o = f.get(o);
			f.setAccessible(false);
		}
		return value;
	}
	
}
